org.apache.catalina.deploy

## Class FilterMap

- java.lang.Object
- - org.apache.catalina.deploy.FilterMap

- All Implemented Interfaces:
    Serializable

      public class FilterMap
      extends Object
      implements Serializable

  Representation of a filter mapping for a web application, as represented in a `<filter-mapping>` element in the deployment descriptor. Each filter mapping must contain a filter name plus either a URL pattern or a servlet name.
  Author:
    Craig R. McClanahan
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ASYNC`
    `static int` | `ERROR` The name of this filter to be executed when this mapping matches a particular request.
    `static int` | `FORWARD`
    `static int` | `INCLUDE`
    `static int` | `REQUEST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addServletName(String servletName)`
    `void` | `addURLPattern(String urlPattern)`
    `int` | `getDispatcherMapping()`
    `String[]` | `getDispatcherNames()`
    `String` | `getFilterName()`
    `boolean` | `getMatchAllServletNames()`
    `boolean` | `getMatchAllUrlPatterns()`
    `String[]` | `getServletNames()`
    `String[]` | `getURLPatterns()`
    `void` | `setDispatcher(String dispatcherString)` This method will be used to set the current state of the FilterMap representing the state of when filters should be applied.
    `void` | `setFilterName(String filterName)`
    `String` | `toString()` Render a String representation of this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ERROR

          public static final int ERROR

      The name of this filter to be executed when this mapping matches a particular request.
      See Also:
        Constant Field Values

    - #### FORWARD

          public static final int FORWARD

      See Also:
        Constant Field Values

    - #### INCLUDE

          public static final int INCLUDE

      See Also:
        Constant Field Values

    - #### REQUEST

          public static final int REQUEST

      See Also:
        Constant Field Values

    - #### ASYNC

          public static final int ASYNC

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FilterMap

          public FilterMap()

  - ### Method Detail

    - #### getFilterName

          public String getFilterName()

    - #### setFilterName

          public void setFilterName(String filterName)

    - #### getServletNames

          public String[] getServletNames()

    - #### addServletName

          public void addServletName(String servletName)

    - #### getMatchAllUrlPatterns

          public boolean getMatchAllUrlPatterns()

    - #### getMatchAllServletNames

          public boolean getMatchAllServletNames()

    - #### getURLPatterns

          public String[] getURLPatterns()

    - #### addURLPattern

          public void addURLPattern(String urlPattern)

    - #### setDispatcher

          public void setDispatcher(String dispatcherString)

      This method will be used to set the current state of the FilterMap representing the state of when filters should be applied.

    - #### getDispatcherMapping

          public int getDispatcherMapping()

    - #### getDispatcherNames

          public String[] getDispatcherNames()

    - #### toString

          public String toString()

      Render a String representation of this object.
      Overrides:
        `toString` in class `Object`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.